events.listen('recipes', event => {

  // Thermal

event.recipes.thermal.smelter('powah:dielectric_paste', ['2x #forge:dusts/osmium', 'fluxnetworks:flux_dust', 'minecraft:blaze_powder'])
event.recipes.thermal.smelter('immersiveengineering:ingot_steel', [Item.of('#forge:dusts/coal', 2), '#forge:ingots/iron'])
event.recipes.thermal.smelter('immersiveengineering:ingot_steel', [Item.of('#forge:dusts/coal', 2), '#forge:dusts/iron'])
event.recipes.thermal.smelter('thermal:oil_sand', ['#forge:dusts/coal', 'minecraft:sand', '#forge:dusts/coal_coke'])
event.recipes.thermal.smelter('thermal:oil_red_sand', ['#forge:dusts/coal', 'minecraft:red_sand', '#forge:dusts/coal_coke'])
event.recipes.thermal.smelter('minecraft:enchanting_table', [Item.of('minecraft:diamond', 4), Item.of('minecraft:obsidian', 8), Item.of('minecraft:book', 4)])
event.recipes.thermal.smelter('rftoolsbase:machine_frame', ['2x rftoolsbase:dimensionalshard', 'mekanism:steel_casing'])
event.recipes.thermal.smelter('kubejs:diamond_ingot', [Item.of('minecraft:diamond', 2), 'extendedcrafting:black_iron_ingot', '#forge:dusts/biotite'])
event.recipes.thermal.smelter('create:rose_quartz', ['#forge:gems/quartz', Item.of('#forge:dusts/redstone', 2)])
event.recipes.thermal.compression_fuel(fluid.of('immersiveengineering:creosote', 1000)).energy(20000)
event.recipes.thermal.compression_fuel(fluid.of('kubejs:creosote_fluid', 1000)).energy(300000)
event.recipes.thermal.lapidary_fuel('kubejs:dust').energy(2000)
event.recipes.thermal.numismatic_fuel('kubejs:sky_bucks').energy(1000000)
event.recipes.thermal.pulverizer('2x kubejs:dust', ['minecraft:flint'])
event.recipes.thermal.pulverizer('4x botania:pebble', 'minecraft:stone')
event.recipes.thermal.pulverizer('4x kubejs:mossy_pebble', 'minecraft:mossy_cobblestone')
event.recipes.thermal.pulverizer('4x kubejs:andesite_pebble', 'minecraft:polished_andesite')
event.recipes.thermal.pulverizer('4x kubejs:granite_pebble', 'minecraft:polished_granite')
event.recipes.thermal.pulverizer('4x kubejs:diorite_pebble', 'minecraft:polished_diorite')
event.recipes.thermal.press('thermal:lapis_gear', ['4x minecraft:lapis_lazuli', 'thermal:press_gear_die'])
event.recipes.thermal.press('thermal:emerald_gear', ['4x minecraft:emerald', 'thermal:press_gear_die'])
event.recipes.thermal.press('thermal:diamond_gear', ['4x minecraft:diamond', 'thermal:press_gear_die'])
event.recipes.thermal.press('thermal:quartz_gear', ['4x #forge:gems/quartz', 'thermal:press_gear_die'])
event.recipes.thermal.press('pneumaticcraft:compressed_iron_gear', ['4x pneumaticcraft:ingot_iron_compressed', 'thermal:press_gear_die'])
event.recipes.thermal.press('woodenutilities:wooden_plate', ['#minecraft:planks'])


event.custom({
"type": "thermal:pyrolyzer",
"ingredient": {  
"tag": "forge:bitumen"},
"result": [{"item": "thermal:coal_coke"},
{"item": "thermal:tar","chance": 0.50},
{"fluid": "thermal:heavy_oil","amount": 50}],
"energy": 4000,
"experience": 0.15
})

event.custom({
"type": "thermal:refinery",
"ingredient": {
"fluid": "immersivepetroleum:oil",
"amount": 100},
"result": [
{"fluid": "thermal:heavy_oil","amount": 40},
{"fluid": "thermal:light_oil","amount": 60},{"item": "thermal:bitumen","chance": 0.10}],"energy": 6000})

event.custom({
"type": "thermal:refinery",
"ingredient": {
"fluid": "pneumaticcraft:oil",
"amount": 100},
"result": [
{"fluid": "thermal:heavy_oil","amount": 40},
{"fluid": "thermal:light_oil","amount": 60},{"item": "thermal:bitumen","chance": 0.10}],"energy": 6000})

})